%define rpm_recommends %{nil}
%define rpm_recommends 1
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} < 8
      %define rpm_recommends 0
    %endif
  %else
    %if 0%{?fedora} < 24
      %define rpm_recommends 0
    %endif
  %endif
%endif

%undefine update_mime_database_n
%if 0%{?fedora}%{?rhel}
  %define update_mime_database_n 1
%endif

%define doc_license %{nil}
%define doc_license 1
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} < 7
      %define doc_license 0
    %endif
  %else
    %if 0%{?fedora} < 19
      %define doc_license 0
    %endif
  %endif
%endif

%define license_files LICENSE

Name:           peek
Version:        1.1.0
Release:        3%{?dist}
Summary:        Simple animated GIF screen recorder with an easy to use interface

License:        GPLv3+
URL:            https://github.com/phw/peek
Source0:        https://github.com/phw/peek/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  vala-devel
BuildRequires:  gettext
BuildRequires:	gettext-devel
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(keybinder-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       ffmpeg
Requires:       ImageMagick
Requires:       gstreamer1-plugins-good
%if 0%{?rpm_recommends}
Recommends:     gstreamer1-plugins-bad-freeworld
%endif

%description
A simple tool that allows you to record short animated GIF images
from your screen.


%prep
%{autosetup}


%build
%{cmake} -DCMAKE_INSTALL_PREFIX="%{_prefix}" -DBUILD_TESTS=OFF .
%{make_build}


%install
rm -rf "${RPM_BUILD_ROOT}"
%{make_install}
desktop-file-validate "%{buildroot}/%{_datadir}/applications/com.uploadedlobster.%{name}.desktop"
appstream-util validate-relax --nonet "%{buildroot}/%{_datadir}/metainfo"/*.appdata.xml
%find_lang "%{name}"


%post
/bin/touch --no-create "%{_datadir}/icons/hicolor" &>/dev/null || :
/usr/bin/update-mime-database "%{_datadir}/mime" &>/dev/null || :
update-desktop-database &> /dev/null || :
/usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &>/dev/null || :
/sbin/ldconfig


%postun
if [[ "${1}" -eq "0" ]] ; then
  /bin/touch --no-create "%{_datadir}/icons/hicolor" &>/dev/null
  /usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &>/dev/null || :
  /usr/bin/update-mime-database "%{_datadir}/mime" &>/dev/null || :
fi
update-desktop-database &>/dev/null || :
/usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &>/dev/null || :
/sbin/ldconfig


%posttrans
/usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &>/dev/null || :
/usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &>/dev/null || :
/usr/bin/update-mime-database %{?update_mime_database_n:-n} "%{_datadir}/mime" &>/dev/null || :


%files -f %{name}.lang
%if 0%{?doc_license}
%license %{license_files}
%else
%doc %{license_files}
%endif
%{_bindir}/%{name}
%{_datadir}/applications/com.uploadedlobster.%{name}.desktop
%{_datadir}/metainfo/com.uploadedlobster.%{name}.appdata.xml
%{_datadir}/dbus-1/services/com.uploadedlobster.%{name}.service
%{_datadir}/glib-2.0/schemas/com.uploadedlobster.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.uploadedlobster.%{name}.png

%changelog
* Fri Nov 03 2017 Tomasz Tomasik <scx.mail@gmail.com> - 1.1.0-3
- Update post, postun and posttrans sections
  https://github.com/phw/peek/issues/158
- Rebuilt for EL7

* Fri Nov 03 2017 Tomasz Tomasik <scx.mail@gmail.com> - 1.1.0-2
- Backport changes from peek-1.1.0-1.1.src.rpm (Sat Oct 7 2017 Steeven Lopes <steevenlopes@outlook.com> - 1.1.0-1.1)
  http://download.opensuse.org/repositories/home:/Bajoja/Fedora_25/src/peek-1.1.0-1.1.src.rpm
- Add support for EL7
- Update requirements
- Add post, postun and posttrans sections
- Rebuilt for EL7

* Thu May 18 2017 Huaren Zhong <huaren.zhong@gmail.com> - 1.0.1-5.1
- Rebuild for Fedora

* Sun Mar 26 2017 tremod <negry.m@yandex.ru> - 1.0.1-1
- (2271b3e) Update to 1.0.1
